require 'spec_helper'

describe Snap do
  it 'has a version number' do
    expect(Snap::VERSION).not_to be nil
  end

  describe ".configure and .initialize" do
    before(:each) do
      @config_file = File.expand_path('../snap.yml', __FILE__)
      FileUtils.rm_rf @config_file
    end

    after(:each) do
      FileUtils.rm_rf @config_file
    end

    it "should configure a snap config file with api key" do
      expect(File.exist?(@config_file)).to be false
      Snap.configure('api-key', @config_file)
      expect(File.exist?(@config_file)).to be true
    end

    it "should initialize snap with the api key" do
      Snap.configure('api-key', @config_file)

      expect(Snap.api_key).to be nil
      Snap.init(@config_file)
      expect(Snap.api_key).to eq('api-key')
    end
  end
end
